# Ideogram V3 Turbo > Turbo is the fastest and cheapest Ideogram v3. v3 creates images with stunning realism, creative designs, and consistent styles. - **Provider**: replicate - **Model ID**: ideogram-ai/ideogram-v3-turbo - **Category**: image_generation - **Credits**: 70 per request - **Pricing Type**: fixed ## API Endpoint Base URL: https://api.core.today/v1 ### Create Prediction POST /predictions ### Get Status GET /predictions/{job_id} ### Cancel DELETE /predictions/{job_id} ## Authentication Header: `X-API-Key: YOUR_API_KEY` ## Input Parameters - `resolution` (string, optional): Resolution. Overrides aspect ratio. Ignored if an inpainting image is given. (Default: `None`; Options: `None`, `512x1536`, `576x1408`, `576x1472`, `576x1536`, `640x1344`, `640x1408`, `640x1472`, `640x1536`, `704x1152`, `704x1216`, `704x1280`, `704x1344`, `704x1408`, `704x1472`, `736x1312`, `768x1088`, `768x1216`, `768x1280`, `768x1344`, `800x1280`, `832x960`, `832x1024`, `832x1088`, `832x1152`, `832x1216`, `832x1248`, `864x1152`, `896x960`, `896x1024`, `896x1088`, `896x1120`, `896x1152`, `960x832`, `960x896`, `960x1024`, `960x1088`, `1024x832`, `1024x896`, `1024x960`, `1024x1024`, `1088x768`, `1088x832`, `1088x896`, `1088x960`, `1120x896`, `1152x704`, `1152x832`, `1152x864`, `1152x896`, `1216x704`, `1216x768`, `1216x832`, `1248x832`, `1280x704`, `1280x768`, `1280x800`, `1312x736`, `1344x640`, `1344x704`, `1344x768`, `1408x576`, `1408x640`, `1408x704`, `1472x576`, `1472x640`, `1472x704`, `1536x512`, `1536x576`, `1536x640`) - `style_reference_images` (array, optional): A list of images to use as style references. - `seed` (integer, optional): Random seed. Set for reproducible generation (Range: max: 2147483647) - `magic_prompt_option` (string, optional): Magic Prompt will interpret your prompt and optimize it to maximize variety and quality of the images generated. You can also use it to write prompts in different languages. (Default: `Auto`; Options: `Auto`, `On`, `Off`) - `mask` (string, optional): A black and white image. Black pixels are inpainted, white pixels are preserved. The mask will be resized to match the image size. - `aspect_ratio` (string, optional): Aspect ratio. Ignored if a resolution or inpainting image is given. (Default: `1:1`; Options: `1:3`, `3:1`, `1:2`, `2:1`, `9:16`, `16:9`, `10:16`, `16:10`, `2:3`, `3:2`, `3:4`, `4:3`, `4:5`, `5:4`, `1:1`) - `style_preset` (string, optional): Apply a predefined artistic style to the generated image (V3 models only). (Default: `None`; Options: `None`, `80s Illustration`, `90s Nostalgia`, `Abstract Organic`, `Analog Nostalgia`, `Art Brut`, `Art Deco`, `Art Poster`, `Aura`, `Avant Garde`, `Bauhaus`, `Blueprint`, `Blurry Motion`, `Bright Art`, `C4D Cartoon`, `Children's Book`, `Collage`, `Coloring Book I`, `Coloring Book II`, `Cubism`, `Dark Aura`, `Doodle`, `Double Exposure`, `Dramatic Cinema`, `Editorial`, `Emotional Minimal`, `Ethereal Party`, `Expired Film`, `Flat Art`, `Flat Vector`, `Forest Reverie`, `Geo Minimalist`, `Glass Prism`, `Golden Hour`, `Graffiti I`, `Graffiti II`, `Halftone Print`, `High Contrast`, `Hippie Era`, `Iconic`, `Japandi Fusion`, `Jazzy`, `Long Exposure`, `Magazine Editorial`, `Minimal Illustration`, `Mixed Media`, `Monochrome`, `Nightlife`, `Oil Painting`, `Old Cartoons`, `Paint Gesture`, `Pop Art`, `Retro Etching`, `Riviera Pop`, `Spotlight 80s`, `Stylized Red`, `Surreal Collage`, `Travel Poster`, `Vintage Geo`, `Vintage Poster`, `Watercolor`, `Weird`, `Woodblock Print`) - `prompt` (string, **required**): Text prompt for image generation - `style_type` (string, optional): The styles help define the specific aesthetic of the image you want to generate. (Default: `None`; Options: `None`, `Auto`, `General`, `Realistic`, `Design`) - `image` (string, optional): An image file to use for inpainting. You must also use a mask. ## Example Request ```json { "model": "ideogram-ai/ideogram-v3-turbo", "input": { "aspect_ratio": "3:2", "magic_prompt_option": "Auto", "style_type": "None", "prompt": "The text \"V3 Turbo\" in the center middle. A color film-inspired portrait of a young man looking to the side with a shallow depth of field that blurs the surrounding elements, drawing attention to his eye.", "resolution": "None" } } ``` ## Response Format ```json { "job_id": "abc123", "status": "pending", "provider": "replicate", "model": "black-forest-labs/flux-schnell", "created_at": "2026-01-01T00:00:00Z", "result": null, "error": null } ``` Status values: `pending`, `processing`, `completed`, `failed`, `cancelled` ## Usage Flow 1. POST /predictions with model and input → receive job_id 2. Poll GET /predictions/{job_id} until status is `completed` or `failed` 3. Result contains output URL(s) or data ## Output Type url ## Tags ideogram, text-to-image, image-generation, typography, style-presets, fast-generation, realistic ## Documentation https://replicate.com/ideogram-ai/ideogram-v3-turbo